Summary: file(1) command
Name: file
Version: 3.24
Release: 2
Copyright: distributable
Group: Utilities/File
Source: ftp://ftp.deshaw.com/pub/file/file-3.24.tar.gz
Patch1: file-3.22-glibc.patch
Buildroot: /var/tmp/file-root
Summary(de): Befehl file(1)
Summary(fr): Commande file(1)
Summary(tr): Dosya tipini belirleme arac

%description
This package is useful for finding out what type of file you are looking 
at on your system.  For example, if an fsck results in a file being stored 
in lost+found, you can run file on it to find out if it's safe to 'more' 
it or if it's a binary. It recognizes many file types, including ELF binaries,
system libraries, RPM packages, and many different graphics formats.

%description -l de
Sie knnen dieses Paket verwenden, um zu bestimmen, welches Format
eine bestimmte Datei hat. Wird durch fsck eine Datei in lost+found
gespeichert, knnen Sie 'file' ausfhren, um herauszufinden, ob Sie sie mit
'more' einsehen knnen, oder ob es sich um ein Binrprogramm handelt
Das Programm erkennt u.a. ELF-Binrprogramme, System-Libraries, 
RPM-Pakete und viele Grafikformate.

%description -l fr
Ce paquetage sert  trouver le type du fichier que vous recherchez sur votre
systme. Par exemple, si un fsck fait qu'un fichier a t stock dans
lost+found, vous pouvez lancer file dessus pour savoir si on peut faire un
more, ou s'il s'agit d'un binaire. Il reconnat de nombreux types de fichiers
dont les binaires ELF, les bibliothques systmes, les paquetages RPM et de
nombreux formats graphiques diffrents.

%description -l tr
file, bir dosyay inceleyerek ne tr bir dosya olduu konusunda size bir
fikir verebilir. Bylece uzantsndan ve adndan ne olduunu
karamadnz bir dosyay hangi yazlm ile kullanabileceinize ya da ne
yapacanza karar verebilisiniz. file, temel dosya tiplerini, ou grafik
formatn, altrlabilir dosyalar, sistem kitaplklarn vs.
tanyabilir.

%changelog
* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>

- updated to 3.24
- buildrooted

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>

- built against glibc

* Mon Mar 31 1997 Erik Troan <ewt@redhat.com>

Fixed problems caused by 64 bit time_t.

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>

Improved recognition of Linux kernel images.

%prep
%setup
%patch1 -p1 -b .glibc

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/man
make prefix=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/file
/usr/share/magic
/usr/man/man1/file.1
/usr/man/man4/magic.4
